spool C:\wms_log\WM1DSUN001.txt

alter table supplier add ASN_REQD char(1);
ALTER TABLE SUPPLIERITEM add LOCK_GROUP char(10);
ALTER TABLE SUPPLIER add LOCK_GROUP char(10);

--Start request WM1ESUN003--07-10-2011 CHANGE BY pravin sali---
ALTER TABLE supplier add contact_purc varchar2(40);
ALTER TABLE supplier add fax_purc varchar2(15);
ALTER TABLE supplier add email_purc varchar2(40);
ALTER TABLE supplier add vendor_no varchar2(20);

-- below column added by gulzar's request 
alter table porcp add ASN_REQD char(1);



--End request WM1ESUN003--19-08-2011 CHANGE BY pravin sali----------
--Start request WM1ESUN003--19-08-2011 CHANGE BY pravin sali----
alter table supplier add ASN_REQD char(1);
ALTER TABLE SUPPLIERITEM add LOCK_GROUP char(10);
ALTER TABLE SUPPLIER add LOCK_GROUP char(10);

--Start request WM1ESUN003--07-10-2011 CHANGE BY pravin sali---
ALTER TABLE supplier add contact_purc varchar2(40);
ALTER TABLE supplier add fax_purc varchar2(15);
ALTER TABLE supplier add email_purc varchar2(40);
ALTER TABLE supplier add vendor_no varchar2(20);

-- below column added by gulzar's request 
alter table porcp add ASN_REQD char(1);


INSERT INTO messages VALUES (
	'VMLOCKCODE',
	'Invalid Lock Group',
	'Please enter the valid lock Group',
	'E',
	'Y',
	NULL,
	NULL,
	NULL,
	 sysdate ,
	NULL,
	NULL,
	NULL,
	NULL);
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIER', 'STD', 'ASN_REQD', 'asn_reqd', 23, 'asn_reqd', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Define Advance shipping notification mandatory or not Y - Yes or N - No. ') ;
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIER', 'std', 'LOCK_GROUP', 'lock_group', 23, 'lock_group', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Describe the lock group code from lock group master') ;
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIERITEM', 'STD', 'LOCK_GROUP', 'lock_group', 23, 'lock_group', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Describe the lock group code from lock group master') ;
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIER', 'std', 'contact_purc', 'contact_purc', 23, 'contact_purc', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Describe the Purchasing Contact') ;
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIER', 'std', 'fax_purc', 'fax_purc', 23, 'fax_purc', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Describe the Purchasing Fax Number') ;
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIER', 'std', 'email_purc', 'email_purc', 23, 'email_purc', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Describe the Purchasing Data Number (Email Id)') ;
INSERT INTO pbcatcol( pbc_tnam, pbc_ownr, pbc_cnam, pbc_labl, pbc_lpos, pbc_hdr, pbc_hpos, pbc_jtfy, pbc_mask, pbc_case, pbc_hght, pbc_wdth, pbc_ptrn, pbc_bmap, pbc_init, pbc_edit, pbc_cmnt )VALUES ('SUPPLIER', 'std', 'vendor_no', 'vendor_no', 23, 'vendor_no', 25, 25, '', 0, 0, 0, '', 'N', '', '', 'Describe the Pay To Vendor Number') ;
--End request WM1ESUN003--19-08-2011 CHANGE BY pravin sali----------


INSERT INTO pophelp VALUES (
	'LOCK_GROUP',
	'W_SUPPLIER',
	'select lock_group,descr from lock_group',
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	'lock_group',
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL);

INSERT INTO pophelp VALUES (
	'LOCK_GROUP',
	'W_SUPPLIERITEM',
	'select lock_group,descr from lock_group',
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	'lock_group',
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL);

INSERT INTO messages VALUES (
	'VMLOCKCODE',
	'Invalid Lock Group',
	'Please enter the valid lock Group',
	'E',
	'Y',
	NULL,
	NULL,
	NULL,
	 sysdate ,
	NULL,
	NULL,
	NULL,
	NULL);
--added by shamim on 23 june
alter table asn_det add no_pallet number(14); 
insert into obj_itemchange
(
obj_name,
form_no,
field_name
)
values
(
'asn',
'2',
'quantity'
);
commit;

spool off
